<? if ( is_array( $this -> files ) ):?>
  <ul class="files">
    <? foreach ( $this -> files as $file ):?>
      <li>
        <a href="/download.php?file=<?= $file['id'];?>&hash=<?= md5( $file['src'] );?>" title="<?= $file['name'];?>" target="_blank">
          <? 
            if ( $file['name'] )
              echo $file['name'];
            else
            {
              $name = explode( '/', $file['src'] );
              echo $name[ count( $name ) - 1 ];
            }
          ?>
        </a>
      </li>
    <? endforeach;?>
  </ul>
<? endif;?>